#!/bin/bash

# BACKUP SCRIPT
# The backup script is OPTIONAL.
# It is used to backup the service on the server.
# It is called with one argument: the path to the destination backup file.
# If the backup file already exists, the script should exit with a message.

source "$(dirname "$0")/_common.sh"
check_required_env_vars "CONTAINER_NAME" "DATA_VOLUME" "CONFIG_VOLUME" "CONFIG_PATH"

# Stop container before backup
_stop_container "$CONTAINER_NAME"

if ! autobackup volume=$DATA_VOLUME volume=$CONFIG_VOLUME $1 $2; then
    die "Failed to create backup"
fi

# Start container after backup
_start_container "$CONTAINER_NAME"

echo "Backup created successfully: $BACKUP_FILE"
